.heading-with-block {
    padding-top: var(--padding-top-desktop);
    padding-bottom: var(--padding-bottom-desktop);
    background: var(--background-color);
    overflow: hidden;
}

.heading-with-block * {
    color: var(--heading-color);
}

.heading-with-block-header h2.heading {
    font-size: var(--heading-size-desktop);
    line-height: 1.25;
    text-align: center;
    color: var(--heading-color);
    font-family: 'GT America Bold' !important;
    transform: translateY(150%);
    transition: all 0.6s ease;
}

.heading-with-block-header .richtext {
    font-size: var(--richtext-size-desktop);
    line-height: 1.273;
    color: var(--richtext-color);
    text-align: center;
    font-family: 'GT America-Regular';
    max-width: 580px;
    margin: 0 auto;
    transform: translateY(150%);
    transition: all 0.6s ease;
}

.active .heading-with-block-header h2.heading,
.active .heading-with-block-header .richtext {
    transform: translateY(0%);
    transition: all 0.6s ease;
}

.heading-with-block-header h2.heading+.richtext {
    margin-top: 30px;
}

.heading-with-block-header+.heading-with-block-body {
    margin-top: 60px;
}

.heading-with-block-body ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 30px 10vw;
}

.heading-with-block-body ul li {
    width: calc(33.33% - 10vw * 2/3);
    position: relative;
}

.heading-with-block-body ul li:after {
    content: '';
    position: absolute;
    background-image: url('https://img.myshopline.com/image/store/1724049484189/-1-2x-1.png?w=28&h=50');
    background-repeat: no-repeat;
    background-size: 100% 100%;
    width: 28px;
    height: 50px;
    top: 50%;
    transform: translateY(-50%);
    right: -6vw;
}

.heading-with-block-body ul li:last-child::after {
    content: none;
}

.heading-with-block-item {
    display: flex;
    flex-direction: column;
    gap: 23px;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.heading-with-block-item span.index {
    width: 58px;
    height: 58px;
    background: #A53E04;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 58px;
    font-size: 30px;
    line-height: 1.25;
    color: #FFFFFF;
    font-family: 'GT America Bold';
}

.heading-with-block-item h4 {
    font-size: 24px;
    line-height: 1.25;
    color: #000000;
    font-family: 'GT America Bold' !important;
}

.heading-with-block-item .content {
    font-size: 18px;
    line-height: 1.473;
    color: #000000;
    font-family: 'GT America-Regular';
}

.heading-with-block-body {
    overflow: hidden;
}

.heading-with-block-body ul li:nth-child(2) {
    transform: translateX(-140%);
    transition: all 0.6s ease;
}

.heading-with-block-body ul li:nth-child(3) {
    transform: translateX(-280%);
    transition: all 0.6s ease;
}

.active .heading-with-block-body ul li:nth-child(2),
.active .heading-with-block-body ul li:nth-child(3) {
    transform: translateX(0%);
    transition: all 0.6s ease;
}

@media(max-width:1200px) {
    .heading-with-block-item {
        gap: 16px;
    }

    .heading-with-block-item h4 {
        font-size: 20px;
    }

    .heading-with-block-item span.index {
        width: 46px;
        height: 46px;
        font-size: 22px;
    }

    .heading-with-block-item .content {
        font-size: 14px;
    }

    .heading-with-block-body ul li:after {
        width: 18px;
        height: 32px;
    }

    .heading-with-block-header h2.heading+.richtext {
        margin-top: 20px;
    }

    .heading-with-block-header+.heading-with-block-body {
        margin-top: 40px;
    }
}


@media(max-width:749px) {
    .heading-with-block {
        padding-top: var(--padding-top-mobile);
        padding-bottom: var(--padding-bottom-mobile);
    }

    .heading-with-block-header h2.heading {
        font-size: var(--heading-size-mobile);
    }

    .heading-with-block-header h2.heading+.richtext {
        margin-top: 12px;
    }

    .heading-with-block-header .richtext {
        font-size: var(--richtext-size-mobile);
    }

    .heading-with-block-header+.heading-with-block-body {
        margin-top: 30px;
    }

    .heading-with-block-body ul {
        gap: 60px 10px;
    }

    .heading-with-block-body ul li {
        width: 100%;
    }

    .heading-with-block-body ul li:after {
        width: 18px;
        height: 32px;
        bottom: -48px;
        top: unset;
        right: calc(50% - 18px);
        transform: translateX(-50%) rotate(90deg);
    }

    .heading-with-block-item span.index {
        width: 40px;
        height: 40px;
        font-size: 18px;
    }

    .heading-with-block-item h4 {
        font-size: 16px;
    }

    .heading-with-block-item .content {
        font-size: 13px;
    }

    .heading-with-block-item {
        gap: 12px;
    }
}